﻿using Syncfusion.XForms.PopupLayout;
using System;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace BusyIndicatorTests.Controls
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class BusyIndicatorControl
    {

        public static readonly BindableProperty ShowBusyProperty =
            BindableProperty.Create(nameof(ShowBusy), typeof(bool), typeof(BusyIndicatorControl), default(bool), BindingMode.Default, null, OnShowBusyPropertyChanged);


        public bool ShowBusy
        {
            get => (bool)GetValue(ShowBusyProperty);
            set => SetValue(ShowBusyProperty, value);
        }

        public BusyIndicatorControl()
        {
            InitializeComponent();


            //ctrlPopupLayout.SetBinding(SfPopupLayout.IsOpenProperty, new Binding("ShowBusy", source: this));
            //ctrlBusyindicator.SetBinding(SfBusyIndicator.IsBusyProperty, new Binding("ShowBusy", source: this));
        }


        private static void OnShowBusyPropertyChanged(BindableObject bindable, object oldvalue, object newvalue)
        {
            //throw new System.NotImplementedException();

            var indicateBusy = bindable as SfPopupLayout;
            indicateBusy.IsOpen = Convert.ToBoolean(newvalue);
        }


        //protected override void OnPropertyChanged(string propertyName = null)
        //{
        //    base.OnPropertyChanged(propertyName);

        //    if (propertyName == nameof(ShowBusy))
        //    {
        //        //ctrlBusyindicator.IsBusy = ShowBusy;
        //        ctrlPopupLayout.IsOpen = ShowBusy;
        //    }
        //}
    }
}